<?php
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	require('lib/lib.php');
	Inactividad();
}
?>
<script>
$(document).ready(function(){
	
	var inputFechaIni = $('#edtFechaIni');
	var reqFechaIni = $('#req-FechaIni');
	var inputFechaFin = $('#edtFechaFin');
	var reqFechaFin = $('#req-FechaFin');
	
	$('#LoginButton a').click(function(){
		$('#EstadoCuenta').slideDown('fast');
		$('#LoginButton').toggle();
		$('#hide_button').toggle();
	});
		
	$('#hide_button a').click(function(){
		$('#EstadoCuenta').slideUp('fast');
		$('#LoginButton').toggle();
		$('#hide_button').toggle();
	});
	
	function validarFechaIni(){
		if(inputFechaIni.val() == ''){
			inputFechaIni.addClass('error2');
			reqFechaIni.addClass('error2');
			$("#req-FechaIni").html('Seleccione la Fecha Inicial del Reporte.');
			$("#req-FechaIniImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
				return false;
		}
		else if(!inputFechaIni.val().match(/^[0-9/]+$/)){
			inputFechaIni.addClass('error2');
			reqFechaIni.addClass('error2');
			$("#req-FechaIni").html("El Formato de la fecha es inválido.");
			$("#req-FechaIniImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		} else{
			inputFechaIni.removeClass('error2');
			reqFechaIni.removeClass('error2');
			$("#req-FechaIni").html("");
			$("#req-FechaIniImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			if(inputFechaFin.val() == '') {
				inputFechaFin.addClass('error2');
				reqFechaFin.addClass('error2');
				$("#req-FechaFin").html("Seleccione la Fecha Final del Reporte.");
				$("#req-FechaFinImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
				return false
			}
			else
				return true;
		}
	}
	function validarFechaFin(){
		if(inputFechaFin.val() == ''){
			inputFechaFin.addClass('error2');
			reqFechaFin.addClass('error2');
			$("#req-FechaFin").html('Seleccione la Fecha Final del Reporte');
			$("#req-FechaFinImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputFechaFin.val().match(/^[0-9/]+$/)){
			inputFechaFin.addClass('error2');
			reqFechaFin.addClass('error2');
			$("#req-FechaFin").html("El Formato de la Fecha es inválido.");
			$("#req-FechaFinImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		} else{
			inputFechaFin.removeClass('error2');
			reqFechaFin.removeClass('error2');
			$("#req-FechaFin").html("");
			$("#req-FechaFinImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			if(inputFechaIni.val() == ''){
				inputFechaIni.addClass('error2');
				reqFechaIni.addClass('error2');
				$("#req-FechaIni").html("Seleccione la Fecha Inicial del Reporte.");
				$("#req-FechaIniImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
				return false;
			}
			else
				return true;
		}
	}
	inputFechaIni.blur(validarFechaIni);
	inputFechaFin.blur(validarFechaFin);
	
	$('#FormEstadoCuenta').submit(function(){
		if(validarFechaIni() & validarFechaFin())
			ConsultarReporte();
		else
			return false;
		return false;
	})
	
	function ConsultarReporte(){
		if($("[name = radio]:checked").val() == 1)
			var Formato = 1;
		else if($("[name = radio]:checked").val() == 2)
			var Formato = 2;
		$.ajax({
			type: 'POST',
			data: 'TipoReporte=9&FechaIni='+$('#edtFechaIni').val()+'&FechaFin='+$('#edtFechaFin').val()+'&Formato='+Formato+'',
			beforeSend: function(objeto, response){
				$("#message").html('');
				$("#submit").attr('disabled', '-1');//Inhabilito
			},
			complete: function(response){
				$("#submit").removeAttr('disabled');//Habilito
			},
			url: 'ProcesarReportes.php',
			success:function(response){
				if(response == 'XLS')
					DescargasXLS();
				else if(response == 'PDF')
					DescargasPDF();
				else
					$('#message').html(response);
			}
		});
	}
	function DescargasXLS(){
		url = "Descargas.php?Opcion=1";  
		$(location).attr('href',url);

	};
	function DescargasPDF(){
		url = "Descargas.php?Opcion=2";  
		$(location).attr('href',url);
	};
});
</script>
<table width="910" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td align="right">
    <div id="dialog" class="dialog" title="Información del Estado de Cuenta">
        <p>Se muestra información del Estado de Cuenta del Cliente/Usuario.
        <br></br>* Plazo para el Pago: A partir del día que se Factura, tendra 15 días para pagar dicha Factura.
        <br></br>* Límite de Crédito: Es el límite que tiene para consumir. 
        <br></br>Si desea generar el reporte de su Estado de Cuenta:
		<br></br>* Da click en configuración de consulta.  
        <br></br>* Selecciona el rango de Fechas para su reporte.
        <br></br>* Elija el tipo de Formato que el Reporte generará.
        <br></br>* Oprima el botón 'Ir a Reporte'.
        <br></br>* Si existe alguna advertencia, corrija.</p>
    </div>
    <b>Ayuda</b><img src="images/Help.png" name="opener" width="25" height="25" id="opener"/></td>
  </tr>
  <tr>
    <td id="Titulo" align="center">Estado de Cuenta.</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td><table width="700" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr height="30">
        <th width="130" align="center" bgcolor="#2FA600" id="CelAzul">Fecha </th>
        <th width="200" align="center" bgcolor="#2FA600" id="CelAzul">Descripción</th>
        <th width="120" align="center" bgcolor="#2FA600" id="CelAzul">Cargo </th>
        <th width="120" align="center" bgcolor="#2FA600" id="CelAzul">Abono</th>
        <th width="130" align="center" bgcolor="#2FA600" id="CelAzul">Saldo</th>
      </tr>
      <?
		$NumIndices = 100;
		if(!isset($_GET['pagina']))	{
			$Pagina=1;
			$Inicio=0;
		}else{
			$Pagina = $_GET['pagina'];
			$Inicio = ($Pagina - 1) * $NumIndices;
		}
		$ClienteID = $_SESSION["ClienteID"];
		$fecha = time();
		$Mes = date ( "n" , $fecha ); 
		$Anio = date ( "Y" , $fecha );
		$QuerySaldoInicial = mssql_query("SELECT SaldoInicial = (SELECT Convert(Decimal(15,2),isnull(SUM(Cargo - Abono), 0), 2) AS SaldoInicial 
		FROM Movimiento WHERE (ClienteID = '$ClienteID') AND ((Ejercicio < '$Anio') OR ((Ejercicio = '$Anio') AND (Periodo < '$Mes'))))");
		$EvaluarSaldoInicial = mssql_fetch_array($QuerySaldoInicial);
		$SaldoCliente = $EvaluarSaldoInicial['SaldoInicial'];

		$QueryPendiente = mssql_query("SELECT Pendiente = (SELECT isnull(SUM(Importe), 0) AS Pendiente FROM Consumo 
		WHERE (ClienteID = '$ClienteID') AND (Facturado = 0))");
		$EvaluarPendiente = mssql_fetch_array($QueryPendiente);
		$PendienteCliente = $EvaluarPendiente['Pendiente'];
		
		$QueryTable = mssql_query("CREATE table #MiSaldo(TransaccionesFlotillasID Int, Fecha SmallDateTime, Descripcion varchar(100),
		Cargo Money, Abono Money, Saldo Money)");
		
		$InsertTable = mssql_query("INSERT INTO #MiSaldo SELECT 1 AS TansaccionesFlotillasID, getdate() as Fecha, '*** SALDO DE INICIO ***' 
		AS Descripcion, '$SaldoCliente' AS Cargo, 0 As Abono, 0");
				
		$InsertSaldo1 = mssql_query("INSERT INTO #MiSaldo SELECT MovimientoID, FechaMovimiento, Referencia, Cargo, Abono, 0 FROM  
		Movimiento WHERE (ClienteID = '$ClienteID') AND (Ejercicio = '$Anio') AND (Periodo = '$Mes') ORDER BY FechaMovimiento");
				
		$InsertSaldo2 = mssql_query("INSERT INTO #MiSaldo SELECT 1 AS TransaccionesFlotillas, getdate() AS Fecha, 
		'*** VENTAS SIN FACTURAR ***' AS Descripcion, '$PendienteCliente' AS Cargo, 0 As Abono, 0");
				
		$SelectSaldo = mssql_query("SELECT * FROM #MiSaldo");	
	
		$QueryPago = mssql_query("SELECT PlazoPago, LimiteCredito FROM Cliente WHERE ClienteID = '$ClienteID'");
		$EvaluarPago = mssql_fetch_array($QueryPago);
		
		$TotalPaginas = ceil(mssql_num_rows($SelectSaldo) / $NumIndices);
		$TotalRegistros = mssql_num_rows($SelectSaldo);		
		$LimInferior = 1;
		$LimSuperior = 1;	
		$Cont = 0; $SaldoActual = $SaldoCliente;
		while ($EvaluarCatalogo = mssql_fetch_array($SelectSaldo)) {
			if ($LimInferior > $Inicio && $LimSuperior <= $NumIndices){
				if ($colorfila == 0){
					$color = "trlight";	
					$colorfila = 1;
				}else{
					$color = "trblue";
					$colorfila = 0;	
				}
      	echo "<tr id='$color'>"; ?> 
        <th align="right"><? echo $EvaluarCatalogo['Fecha']; ?></th>
        <th align="center"><? echo $EvaluarCatalogo['Descripcion']; ?></th>
        <th align="right"><? echo '$ '.Number_Format($EvaluarCatalogo['Cargo'], 2); ?></th>
        <th align="right"><? echo '$ '.Number_Format($EvaluarCatalogo['Abono'], 2); ?></th>
        <th align="right"><? if($Cont == 0) echo '$ '.Number_Format($SaldoActual, 2);
							 elseif($Cont >= 1 && $EvaluarCatalogo['Cargo'] <> 0) echo '$ '.Number_Format($SaldoActual = $SaldoActual + $EvaluarCatalogo['Cargo'], 2);
							 elseif($Cont >= 1 && $EvaluarCatalogo['Abono'] <> 0) echo '$ '.Number_Format($SaldoActual = $SaldoActual - $EvaluarCatalogo['Abono'], 2);
							 elseif($Cont >= 1 && $EvaluarCatalogo['Abono'] == 0 && $EvaluarCatalogo['Cargo'] == 0) echo '$ '.Number_Format($SaldoActual, 2); ?></th>
		<? $Cont++; ?>
      </tr>
		<?
			$LimSuperior++;
			}
			$LimInferior++;
		}?>
    </table></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td align="center"><table align="center" width="300" border="0" cellspacing="0" cellpadding="0">
      <tr height="30">
        <th align="center" bgcolor="#2FA600" id="CelAzul" scope="col">Plazo para el Pago.</th>
        <th align="center" bgcolor="#2FA600" id="CelAzul" scope="col">Limite del Crédito.</th>
      </tr>
      <tr>
        <td align="center" scope="col"></td>
        <td align="center" scope="col"></td>
      </tr>
      <tr>
        <th align="center" scope="col"><? echo $EvaluarPago['PlazoPago']; ?></th>
        <th align="center" scope="col"><? echo '$ '.Number_Format($EvaluarPago['LimiteCredito'], 2); ?></th>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td align="center"><table align="center" width="450" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100" scope="col">&nbsp;</td>
        <td width="110" scope="col">&nbsp;</td>
        <td width="130" scope="col">&nbsp;</td>
        <td width="110" scope="col">&nbsp;</td>
      </tr>
      <tr>
        <td align="right" scope="col"><b>Saldo Actual: </b></td>
        <th align="right" scope="col"><? echo '$ '.Number_Format($SaldoActual, 2); ?></th>
        <td align="right" scope="col"><b>Crédito Disponible:</b></td>
        <th align="right" scope="col"><? 
				echo '$ '.Number_Format($EvaluarPago['LimiteCredito'] - $SaldoActual, 2);
		?></th>
      </tr>
      <tr>
        <td align="right" scope="col">&nbsp;</td>
        <td align="right" scope="col">&nbsp;</td>
        <td align="right" scope="col">&nbsp;</td>
        <td align="right" scope="col">&nbsp;</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td align="center">
<div id="container">
  <div id="EstadoCuenta" style="display:none"> 
    <form name="FormEstadoCuenta" id="FormEstadoCuenta" action= "" method="post">
      <table width="500" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
        <td colspan="3" align="center" id="Titulo">Configuración de la Consulta.</td>
      </tr>
      <tr>
        <td colspan="3" align="center">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center"><b class="error"><img src="images/Informacion.png" width="15" height="15" /> Elije el rango de Fechas para mostrar tu Estado de Cuenta:</b></td>
      </tr>
      <tr>
        <td colspan="3" align="center">&nbsp;</td>
      </tr>
      <tr>
        <td width="175" align="center">&nbsp;</td>
        <td colspan="2" align="left"><b>Fecha Inicial</b></td>
      </tr>
      <tr>
        <td align="center">&nbsp;</td>
        <td colspan="2" align="left"><input class="txt" type="text" name="edtFechaIni" id="edtFechaIni" size="10" readonly="readonly"  title="Seleccione la Fecha Inicial del Reporte."/>
          <span id="req-FechaIniImg" class="requisites error"></span></td>
      </tr>
      <tr>
        <td align="center">&nbsp;</td>
        <td colspan="2" align="left"><b><span id="req-FechaIni" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td align="center">&nbsp;</td>
        <td colspan="2" align="left"><b>Fecha Final</b></td>
      </tr>
      <tr>
        <td align="center">&nbsp;</td>
        <td colspan="2" align="left"><input class="txt" type="text" name="edtFechaFin" id="edtFechaFin" size="10" readonly="readonly" title="Seleccione la Fecha Final del Reporte."/>
          <script type="text/javascript">//<![CDATA[
                    var cal = Calendar.setup({
                        onSelect: function(cal) { cal.hide() },
                        min : 20100101,
                        animation : false,
                        showTime: true
                        });
                        cal.manageFields("edtFechaIni", "edtFechaIni", "%Y/%m/%d");
                        cal.manageFields("edtFechaFin", "edtFechaFin", "%Y/%m/%d");
                        //]]>
                </script>
          <span id="req-FechaFinImg" class="requisites error"></span></td>
      </tr>
      <tr>
        <td width="175" align="center">&nbsp;</td>
        <td colspan="2" align="left"><b><span id="req-FechaFin" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td align="center">&nbsp;</td>
        <td colspan="2" align="left">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center"><b>Formato:</b></td>
      </tr>
      <tr>
        <td colspan="2" align="center">&nbsp;</td>
        <td width="279" align="left">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="2" align="center">&nbsp;</td>
        <td align="left"><input name="radio" type="radio" id="cbPDF" value="1" checked="checked" title="Generar reporte en formato PDF."/>
          <b>PDF</b></td>
      </tr>
      <tr>
        <td colspan="2" align="center">&nbsp;</td>
        <td align="left"><input type="radio" name="radio" id="cbExcel" value="2" title="Generar reporte en formato XLS."/>
          <b>Excel</b></td>
      </tr>
      <tr>
        <td colspan="2" align="center">&nbsp;</td>
        <td align="center">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="2" align="center">&nbsp;</td>
        <td align="center">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center"><input class="submit" type="submit" name="submit" id="submit" value="Ir a Reporte" title="Consultar Reporte."/></td>
      </tr>
      <tr>
        <td colspan="3" align="center"><b><div id="message"></div></b></td>
      </tr>
      <tr>
        <td colspan="2" align="center">&nbsp;</td>
        <td align="center">&nbsp;</td>
      </tr>
  </table>
    </form>
	</div>
	<div id="opening">	
		<div class="panel_button" id="LoginButton" style="display: visible; " align="center"><img src="images/expand.png"  alt="expand" height="25"/> <a href="#">Configurar Reporte</a></div>
		<div class="panel_button" id="hide_button" style="display: none;" align="center"><img src="images/collapse.png" alt="collapse" height="25" /> <a href="#">Ocultar Configuración</a></div>
	</div>
</div>
    </td>
  </tr>
  <tr>
    <td align="center"><b class="error">Para cualquier duda, revise nuestra sección de Ayuda. <img src="images/Arrow.png" width="40" height="40" /></b></td>
  </tr>
</table>